Name:           mbrowse
Version:        0.4.3
Release:        5%{?dist}
Summary:        GUI SNMP MIB browser
Group:          Applications/Internet

# The website only states "GPL", the files don't mention anything.
# Asking Jakub Drnec via e-mail, he declared it GPLv2+.
License:        GPLv2+
URL:            http://sourceforge.net/projects/mbrowse/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.1

BuildRequires:  desktop-file-utils
BuildRequires:  gtk2-devel
BuildRequires:  net-snmp-devel

%description
Mbrowse is a graphical SNMP MIB browser based on GTK+ and net-snmp.

%prep
%setup -q


%build
%configure --with-snmp-lib=%{_libdir}
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

desktop-file-install --dir %{buildroot}%{_datadir}/applications \
        %{SOURCE1}

# Install Debian manpage
mkdir -p %{buildroot}%{_mandir}/man1
install -pm 0644 %{SOURCE2} %{buildroot}%{_mandir}/man1


%files
%doc AUTHORS ChangeLog COPYING TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1.*


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Oct 09 2011 Volker Fröhlich <volker27@gmx.at> - 0.4.3-3
- Change category in desktop file

* Sun Sep 11 2011 Volker Fröhlich <volker27@gmx.at> - 0.4.3-2
- Add Debian manpage

* Wed May 18 2011 Volker Fröhlich <volker27@gmx.at> - 0.4.3-1
- Initial package for Fedora
